Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036010
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2017-05-16 13:202017-06-20 18:39
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision20f098a38af8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036010: The order and payment is not set in some gift card transactions

DescriptionWhen a layaway is created in a terminal that doesn't contain the Gift Certificate or Credit Note payment method, if that layaway is then paid by these payment methods in other terminal, the generated gift card transaction doesn't have matched the generated payment and order.
Steps To ReproduceCreate a layaway in a terminal that doesn't contain the Gift Certificate nor the Credit Note payment methods.

Login in a terminal that contains those payment methods. Pay the layaway using both payment methods (also happens if is paid with only one of them).

The generated gift card transactions don't contain the generated sales order and payment.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036278 newRetail Customer button is out of its layout in Create Gift Certificate popup 
depends on design defect 0036122 scheduledjorge-garcia [SERQA 2908]If a partial payment is added, buttons and external input are not blocked. 
causes defect 0036190 closedasiermartirena Is not possible to generate credit notes 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0097078)
hgbot (developer)
2017-06-01 16:22

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 20f098a38af83037f878fdaea5c8f05105031703
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue May 30 12:37:44 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/20f098a38af83037f878fdaea5c8f05105031703 [^]

Fixed issue 36010: The order and payment is not set in some gift card transactions.

When a layaway is created in a terminal that doesn't contain the Gift Certificate or Credit Note payment method, if that layaway is then paid by these payment methods in other terminal, the generated gift card transaction doesn't have matched the generated payment and order.

---
M src/org/openbravo/retail/giftcards/hooks/GiftCardHookUtils.java
---
(0097101)
hgbot (developer)
2017-06-02 12:11

Repository: tools/automation/pi-mobile
Changeset: cb84bfbda06877325b27d63781a0fc16a6d9b7ea
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Jun 02 12:10:24 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/cb84bfbda06877325b27d63781a0fc16a6d9b7ea [^]

Related to issue 36010: Automated test

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I36010_PayCertificateTicketOtherTerminal.java
---
(0097536)
Sandrahuguet (developer)
2017-06-20 18:39

Code review and testing OK

- Issue History
Date Modified Username Field Change
2017-05-16 13:20 asiermartirena New Issue
2017-05-16 13:20 asiermartirena Assigned To => asiermartirena
2017-05-16 13:20 asiermartirena Triggers an Emergency Pack => No
2017-06-01 16:22 hgbot Checkin
2017-06-01 16:22 hgbot Note Added: 0097078
2017-06-01 16:22 hgbot Status new => resolved
2017-06-01 16:22 hgbot Resolution open => fixed
2017-06-01 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/20f098a38af83037f878fdaea5c8f05105031703 [^]
2017-06-02 12:11 hgbot Checkin
2017-06-02 12:11 hgbot Note Added: 0097101
2017-06-19 11:24 Sandrahuguet Review Assigned To => Sandrahuguet
2017-06-19 14:02 asiermartirena Relationship added causes 0036190
2017-06-19 17:40 Sandrahuguet Relationship added depends on 0036122
2017-06-19 18:22 Sandrahuguet Relationship added related to 0036278
2017-06-20 18:39 Sandrahuguet Note Added: 0097536
2017-06-20 18:39 Sandrahuguet Status resolved => closed
2017-06-20 18:39 Sandrahuguet Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker